Debian Bug report logs - #654876
CVE-2012-0207: divide error and panic when receiving mixed IGMP queries

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Simon McVittie <smcv@debian.org>

Date: Fri, 6 Jan 2012 14:00:02 UTC

Severity: normal

Tags: moreinfo, pending

Found in version 3.1.6-1

Fixed in version linux-2.6/3.1.8-2

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#654876; Package linux-2.6. (Fri, 06 Jan 2012 14:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 06 Jan 2012 14:00:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-3.1.0-1-amd64: lockup (panic?) in acpi_idle_enter_bm on Thinkpad X200s
Date: Fri, 6 Jan 2012 13:56:45 +0000
Package: linux-2.6
Version: 3.1.6-1
Severity: normal

When left idle, my laptop sometimes (a couple of times a day?) goes into a
"stuck" state with a crash dump printed to the framebuffer console and the
caps lock LED flashing. Sometimes the speaker plays a continuous tone.
I believe this is a kernel panic, but the crash dump is more than one
screenful, so I can't see the beginning of the message.

While in this state, no input works, including the magic SysRq key.
This sometimes happens while the screen is blanked, in which case I can't
photograph the crash dump.

This also affects the 3.0.0-2-amd64 kernel, although subjectively it
seems to be less frequent on this kernel. I haven't tried older kernels
since this problem started a few days ago; it's also possible that it's a
hardware error that recently appeared, or something triggered by (say) a
newer X driver (I'd used 3.0 and 3.1 successfully for a while before this
started appearing).

Selected information from the 3.0 crash dump, transcribed from a photo
(may contain errors):

> pid 0, swapper
> Tainted: G D
> EIP: arch_local_irq_enable+0x4/0x8
>
> Call trace:
> acpi_idle_enter_bm+0x218/0x250 [processor]
> cpuidle_idle_call+0xf5/0x180
> cpu_idle+0xa2/0xc4
> start_kernel+0x3bd/0x3c8
> x86_64_start_kernel+0x102/0x10f

I'll upload the full photo soon. When I saw a 3.1 crash dump it was something
vaguely similar; I'll try to get the same information and a photo from 3.1,
but I also need to get work done on this laptop.

-- Package-specific info:
** Kernel log: boot messages should be attached

** Model information
sys_vendor: LENOVO
product_name: 74663RG
product_version: ThinkPad X200s
chassis_vendor: LENOVO
chassis_version: Not Available
bios_vendor: LENOVO
bios_version: 6DET38WW (2.02 )
board_vendor: LENOVO
board_name: 74663RG
board_version: Not Available

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub [8086:2a40] (rev 07)
	Subsystem: Lenovo Device [17aa:20e0]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>
	Kernel driver in use: agpgart-intel

00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07) (prog-if 00 [VGA controller])
	Subsystem: Lenovo Device [17aa:20e4]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 46
	Region 0: Memory at f2000000 (64-bit, non-prefetchable) [size=4M]
	Region 2: Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Region 4: I/O ports at 1800 [size=8]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915

00:02.1 Display controller [0380]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a43] (rev 07)
	Subsystem: Lenovo Device [17aa:20e4]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Region 0: Memory at f2400000 (64-bit, non-prefetchable) [size=1M]
	Capabilities: <access denied>

00:03.0 Communication controller [0780]: Intel Corporation Mobile 4 Series Chipset MEI Controller [8086:2a44] (rev 07)
	Subsystem: Lenovo Device [17aa:20e6]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx+
	Latency: 0
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at f2926800 (64-bit, non-prefetchable) [size=16]
	Capabilities: <access denied>

00:03.2 IDE interface [0101]: Intel Corporation Mobile 4 Series Chipset PT IDER Controller [8086:2a46] (rev 07) (prog-if 85 [Master SecO PriO])
	Subsystem: Lenovo Device [17aa:20ea]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 18
	Region 0: I/O ports at 1828 [size=8]
	Region 1: I/O ports at 180c [size=4]
	Region 2: I/O ports at 1820 [size=8]
	Region 3: I/O ports at 1808 [size=4]
	Region 4: I/O ports at 1810 [size=16]
	Capabilities: <access denied>
	Kernel driver in use: ata_generic

00:03.3 Serial controller [0700]: Intel Corporation Mobile 4 Series Chipset AMT SOL Redirection [8086:2a47] (rev 07) (prog-if 02 [16550])
	Subsystem: Lenovo Device [17aa:20ec]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 17
	Region 0: I/O ports at 1830 [size=8]
	Region 1: Memory at f2924000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: serial

00:19.0 Ethernet controller [0200]: Intel Corporation 82567LM Gigabit Network Connection [8086:10f5] (rev 03)
	Subsystem: Lenovo Device [17aa:20ee]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 44
	Region 0: Memory at f2700000 (32-bit, non-prefetchable) [size=128K]
	Region 1: Memory at f2925000 (32-bit, non-prefetchable) [size=4K]
	Region 2: I/O ports at 1840 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: e1000e

00:1a.0 USB controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 [8086:2937] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Lenovo Device [17aa:20f0]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 20
	Region 4: I/O ports at 1860 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1a.1 USB controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 [8086:2938] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Lenovo Device [17aa:20f0]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 21
	Region 4: I/O ports at 1880 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1a.2 USB controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 [8086:2939] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Lenovo Device [17aa:20f0]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 22
	Region 4: I/O ports at 18a0 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1a.7 USB controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 [8086:293c] (rev 03) (prog-if 20 [EHCI])
	Subsystem: Lenovo Device [17aa:20f1]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 23
	Region 0: Memory at f2926c00 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1b.0 Audio device [0403]: Intel Corporation 82801I (ICH9 Family) HD Audio Controller [8086:293e] (rev 03)
	Subsystem: Lenovo Device [17aa:20f2]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 48
	Region 0: Memory at f2920000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel

00:1c.0 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 [8086:2940] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 00005000-00005fff
	Memory behind bridge: c0400000-c05fffff
	Prefetchable memory behind bridge: 00000000c0600000-00000000c07fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.1 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 [8086:2942] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	I/O behind bridge: 00004000-00004fff
	Memory behind bridge: f2500000-f25fffff
	Prefetchable memory behind bridge: 00000000c0200000-00000000c03fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.2 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 3 [8086:2944] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: f2600000-f26fffff
	Prefetchable memory behind bridge: 00000000c0000000-00000000c01fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.3 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 4 [8086:2946] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=05, subordinate=0c, sec-latency=0
	I/O behind bridge: 00003000-00003fff
	Memory behind bridge: f0000000-f1ffffff
	Prefetchable memory behind bridge: 00000000f2a00000-00000000f2afffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1d.0 USB controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 [8086:2934] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Lenovo Device [17aa:20f0]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 4: I/O ports at 18c0 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1d.1 USB controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 [8086:2935] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Lenovo Device [17aa:20f0]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 17
	Region 4: I/O ports at 18e0 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1d.2 USB controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 [8086:2936] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Lenovo Device [17aa:20f0]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 18
	Region 4: I/O ports at 1c00 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1d.7 USB controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 [8086:293a] (rev 03) (prog-if 20 [EHCI])
	Subsystem: Lenovo Device [17aa:20f1]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 19
	Region 0: Memory at f2927000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev 93) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=0d, subordinate=0d, sec-latency=0
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:1f.0 ISA bridge [0601]: Intel Corporation ICH9M-E LPC Interface Controller [8086:2917] (rev 03)
	Subsystem: Lenovo Device [17aa:20f5]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:1f.2 SATA controller [0106]: Intel Corporation 82801IBM/IEM (ICH9M/ICH9M-E) 4 port SATA Controller [AHCI mode] [8086:2929] (rev 03) (prog-if 01 [AHCI 1.0])
	Subsystem: Lenovo Device [17aa:20f8]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 45
	Region 0: I/O ports at 1c48 [size=8]
	Region 1: I/O ports at 183c [size=4]
	Region 2: I/O ports at 1c40 [size=8]
	Region 3: I/O ports at 1838 [size=4]
	Region 4: I/O ports at 1c20 [size=32]
	Region 5: Memory at f2926000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: ahci

00:1f.3 SMBus [0c05]: Intel Corporation 82801I (ICH9 Family) SMBus Controller [8086:2930] (rev 03)
	Subsystem: Lenovo Device [17aa:20f9]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 23
	Region 0: Memory at f2927400 (64-bit, non-prefetchable) [size=256]
	Region 4: I/O ports at 1c60 [size=32]
	Kernel driver in use: i801_smbus

03:00.0 Network controller [0280]: Intel Corporation Ultimate N WiFi Link 5300 [8086:4236]
	Subsystem: Intel Corporation Device [8086:1011]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 47
	Region 0: Memory at f2500000 (64-bit, non-prefetchable) [size=8K]
	Capabilities: <access denied>
	Kernel driver in use: iwlagn

04:00.0 Memory controller [0580]: Intel Corporation Turbo Memory Controller [8086:444e] (rev 11)
	Subsystem: Intel Corporation Device [8086:444b]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at f2600000 (32-bit, non-prefetchable) [size=1K]
	Region 2: I/O ports at 2000 [size=256]
	[virtual] Expansion ROM at c0000000 [disabled] [size=64K]
	Capabilities: <access denied>


** USB devices:
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 008 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 003: ID 17ef:480c Lenovo Integrated Webcam
Bus 002 Device 002: ID 0bdb:1900 Ericsson Business Mobile Networks BV F3507g Mobile Broadband Module
Bus 004 Device 002: ID 08ff:2810 AuthenTec, Inc. AES2810

-- System Information:
Debian Release: wheezy/sid
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'unstable'), (500, 'testing'), (500, 'stable'), (101, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-3.1.0-1-amd64 depends on:
ii  debconf [debconf-2.0]                   1.5.41
ii  initramfs-tools [linux-initramfs-tool]  0.99
ii  linux-base                              3.4
ii  module-init-tools                       3.16-1

Versions of packages linux-image-3.1.0-1-amd64 recommends:
ii  firmware-linux-free  3

Versions of packages linux-image-3.1.0-1-amd64 suggests:
pn  extlinux       2:4.05+dfsg-1
pn  grub-pc        1.99-14
pn  linux-doc-3.1  <none>

Versions of packages linux-image-3.1.0-1-amd64 is related to:
pn  firmware-bnx2           <none>
pn  firmware-bnx2x          <none>
pn  firmware-ipw2x00        <none>
pn  firmware-ivtv           <none>
pn  firmware-iwlwifi        0.34
pn  firmware-linux          0.34
pn  firmware-linux-nonfree  0.34
pn  firmware-qlogic         <none>
pn  firmware-ralink         <none>
pn  xen-hypervisor          <none>

-- debconf information:
  linux-image-3.1.0-1-amd64/postinst/ignoring-ramdisk:
  linux-image-3.1.0-1-amd64/postinst/depmod-error-initrd-3.1.0-1-amd64: false
  linux-image-3.1.0-1-amd64/prerm/removing-running-kernel-3.1.0-1-amd64: true
* linux-image-3.1.0-1-amd64/postinst/missing-firmware-3.1.0-1-amd64:




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#654876; Package linux-2.6. (Fri, 06 Jan 2012 14:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 06 Jan 2012 14:33:03 GMT) Full text and rfc822 format available.

Message #10 received at 654876@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Simon McVittie <smcv@debian.org>, 654876@bugs.debian.org
Subject: Re: Bug#654876: linux-image-3.1.0-1-amd64: lockup (panic?) in acpi_idle_enter_bm on Thinkpad X200s
Date: Fri, 06 Jan 2012 14:31:14 +0000
[Message part 1 (text/plain, inline)]
On Fri, 2012-01-06 at 13:56 +0000, Simon McVittie wrote:
> Package: linux-2.6
> Version: 3.1.6-1
> Severity: normal
> 
> When left idle, my laptop sometimes (a couple of times a day?) goes into a
> "stuck" state with a crash dump printed to the framebuffer console and the
> caps lock LED flashing. Sometimes the speaker plays a continuous tone.
> I believe this is a kernel panic, but the crash dump is more than one
> screenful, so I can't see the beginning of the message.
> 
> While in this state, no input works, including the magic SysRq key.

Right, after a panic the keyboard driver is stopped.

> This sometimes happens while the screen is blanked, in which case I can't
> photograph the crash dump.
> 
> This also affects the 3.0.0-2-amd64 kernel, although subjectively it
> seems to be less frequent on this kernel. I haven't tried older kernels
> since this problem started a few days ago; it's also possible that it's a
> hardware error that recently appeared, or something triggered by (say) a
> newer X driver (I'd used 3.0 and 3.1 successfully for a while before this
> started appearing).
> 
> Selected information from the 3.0 crash dump, transcribed from a photo
> (may contain errors):
> 
> > pid 0, swapper
> > Tainted: G D
[...]

The 'D' flag means that there was a previous failure ('BUG' or 'Oops').
Please send a log of that (which will say 'Not tainted').  It might have
happened immediately before or it might have happened much earlier in
which case it's probably in /var/log/messages.

If the first failure doesn't appear in /var/log/messages then use
netconsole or a serial console to capture it.

Ben.

-- 
Ben Hutchings
Make three consecutive correct guesses and you will be considered an expert.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 06 Jan 2012 14:33:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#654876; Package linux-2.6. (Mon, 09 Jan 2012 00:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 09 Jan 2012 00:57:07 GMT) Full text and rfc822 format available.

Message #17 received at 654876@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 654876@bugs.debian.org
Subject: Re: Bug#654876: "divide error" while receiving from iwlagn 5300, leading to kernel panic
Date: Mon, 9 Jan 2012 00:53:27 +0000
[Message part 1 (text/plain, inline)]
retitle 654876 "divide error" while receiving from iwlagn 5300, leading to kernel panic
thanks

On Fri, 06 Jan 2012 at 14:31:14 +0000, Ben Hutchings wrote:
> The 'D' flag means that there was a previous failure ('BUG' or 'Oops').
> Please send a log of that (which will say 'Not tainted').  It might have
> happened immediately before or it might have happened much earlier in
> which case it's probably in /var/log/messages.

/var/log/messages isn't useful here, unfortunately: the initial failure
and the panic happen sufficiently close together that the initial failure
is never logged to disk.

Via netconsole, I can bring you the attached logs (three separate bug/panic
sequences). dmesg3a.txt is the complete dmesg before the first occurrence,
netconsole3a.txt (they overlap at netconsole being enabled).

iwlwifi 5xxx firmware that I have installed:

f06ff86c8baa8616de584f8b0fff072a9aab6a44 */lib/firmware/iwlwifi-5000-1.ucode
b1dc5068cd536a97af7e3c0090a5a632d09ab2f3 */lib/firmware/iwlwifi-5000-2.ucode
8d94177b509be3fb653ce8ba0c633244e4abf5f3 */lib/firmware/iwlwifi-5000-5.ucode
0b41795a98272d125998d8bc1c0d478a4e5ef71e */lib/firmware/iwlwifi-5150-2.ucode

dmesg says it loaded "firmware version 8.83.5.1 build 33692".

The logged panic occurred while connected to both wired and wifi (which
lead to the same network, bridged together, as it happens) with NetworkManager.
In the originally-reported panic I was only on the wifi network, but I had to
use a wired connection for netconsole.

I hope this is useful information,
    S
[dmesg3a.txt (text/plain, attachment)]
[netconsole3a.txt (text/plain, attachment)]
[netconsole3b.txt (text/plain, attachment)]
[netconsole3c.txt (text/plain, attachment)]

Changed Bug title to '"divide error" while receiving from iwlagn 5300, leading to kernel panic' from 'linux-image-3.1.0-1-amd64: lockup (panic?) in acpi_idle_enter_bm on Thinkpad X200s' Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Mon, 09 Jan 2012 00:57:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#654876; Package linux-2.6. (Mon, 09 Jan 2012 11:16:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 09 Jan 2012 11:16:35 GMT) Full text and rfc822 format available.

Message #24 received at 654876@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 654876@bugs.debian.org
Subject: Re: Bug#654876: "divide error" while receiving from iwlagn 5300, leading to kernel panic
Date: Mon, 9 Jan 2012 11:15:16 +0000
On Mon, 09 Jan 2012 at 00:53:26 +0000, Simon McVittie wrote:
> Via netconsole, I can bring you the attached logs (three separate bug/panic
> sequences).

From the crash dump, I think this may be to do with IGMP. It started
around the time I added a Playstation 3 (which I believe uses multicast for
UPnP media sharing) to my network, although correlation doesn't imply
causation... I haven't been able to reproduce the crash with wired-only
networking, though, which seems strange if it's independent of the device.

The instruction pointer in the crash dump is in igmp_start_timer(), which
performs a modulus operation. If max_delay is 0 I believe that will cause
a divide error.

In igmp_heard_query() there are several cases, depending on the version of
IGMP in use.

If ih->code is 0 (IGMP v1), max_delay is set nonzero.

If it's IGMP v2, max_delay could conceivably be nonzero if there's an
overflow or something? It's calculated from data in the network packet.

If it's IGMP v3 and v2 queries have been seen, max_delay could, again,
conceivably be nozero?

In the v3 case, max_delay is explicitly clamped at 1 after a similar
calculation, suggesting that this should be done in the other cases too.

At the end of the function (in all cases except v3), igmp_mod_timer() is
called with max_delay; perhaps clamping it at 1 there, or even in
igmp_start_timer(), would fix this?

Does this make sense? If so, I can can create a simple patch and try it out
for a while.

    S




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#654876; Package linux-2.6. (Mon, 09 Jan 2012 22:24:41 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 09 Jan 2012 22:24:41 GMT) Full text and rfc822 format available.

Message #29 received at 654876@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: David Miller <davem@davemloft.net>
Cc: netdev@vger.kernel.org, Simon McVittie <smcv@debian.org>, 654876@bugs.debian.org
Subject: [PATCH net] igmp: Avoid zero delay when receiving odd mixture of IGMP queries
Date: Mon, 9 Jan 2012 22:04:28 +0000
Commit 5b7c84066733c5dfb0e4016d939757b38de189e4 ('ipv4: correct IGMP
behavior on v3 query during v2-compatibility mode') added yet another
case for query parsing, which can result in max_delay = 0.  Substitute
a value of 1, as in the usual v3 case.

Reported-by: Simon McVittie <smcv@debian.org>
References: http://bugs.debian.org/654876
Signed-off-by: Ben Hutchings <ben@decadent.org.uk>
---
 net/ipv4/igmp.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/net/ipv4/igmp.c b/net/ipv4/igmp.c
index d577199..e0d42db 100644
--- a/net/ipv4/igmp.c
+++ b/net/ipv4/igmp.c
@@ -875,6 +875,8 @@ static void igmp_heard_query(struct in_device *in_dev, struct sk_buff *skb,
 		 * to be intended in a v3 query.
 		 */
 		max_delay = IGMPV3_MRC(ih3->code)*(HZ/IGMP_TIMER_SCALE);
+		if (!max_delay)
+			max_delay = 1;	/* can't mod w/ 0 */
 	} else { /* v3 */
 		if (!pskb_may_pull(skb, sizeof(struct igmpv3_query)))
 			return;
-- 
1.7.8.2






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#654876; Package linux-2.6. (Mon, 09 Jan 2012 22:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Miller <davem@davemloft.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 09 Jan 2012 22:33:03 GMT) Full text and rfc822 format available.

Message #34 received at 654876@bugs.debian.org (full text, mbox):

From: David Miller <davem@davemloft.net>
To: ben@decadent.org.uk
Cc: netdev@vger.kernel.org, smcv@debian.org, 654876@bugs.debian.org
Subject: Re: [PATCH net] igmp: Avoid zero delay when receiving odd mixture of IGMP queries
Date: Mon, 09 Jan 2012 14:07:10 -0800 (PST)
From: Ben Hutchings <ben@decadent.org.uk>
Date: Mon, 9 Jan 2012 22:04:28 +0000

> Commit 5b7c84066733c5dfb0e4016d939757b38de189e4 ('ipv4: correct IGMP
> behavior on v3 query during v2-compatibility mode') added yet another
> case for query parsing, which can result in max_delay = 0.  Substitute
> a value of 1, as in the usual v3 case.
> 
> Reported-by: Simon McVittie <smcv@debian.org>
> References: http://bugs.debian.org/654876
> Signed-off-by: Ben Hutchings <ben@decadent.org.uk>

Applied and queued up for -stable, thanks Ben.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#654876; Package linux-2.6. (Tue, 10 Jan 2012 00:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 10 Jan 2012 00:27:07 GMT) Full text and rfc822 format available.

Message #39 received at 654876@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: David Miller <davem@davemloft.net>
Cc: netdev@vger.kernel.org, Simon McVittie <smcv@debian.org>, 654876@bugs.debian.org, security@kernel.org
Subject: Re: [PATCH net] igmp: Avoid zero delay when receiving odd mixture of IGMP queries
Date: Tue, 10 Jan 2012 00:23:09 +0000
[Message part 1 (text/plain, inline)]
On Mon, 2012-01-09 at 22:04 +0000, Ben Hutchings wrote:
> Commit 5b7c84066733c5dfb0e4016d939757b38de189e4 ('ipv4: correct IGMP
> behavior on v3 query during v2-compatibility mode') added yet another
> case for query parsing, which can result in max_delay = 0.  Substitute
> a value of 1, as in the usual v3 case.

This has been assigned CVE-2012-0207.

Ben.

> Reported-by: Simon McVittie <smcv@debian.org>
> References: http://bugs.debian.org/654876
> Signed-off-by: Ben Hutchings <ben@decadent.org.uk>
> ---
>  net/ipv4/igmp.c |    2 ++
>  1 files changed, 2 insertions(+), 0 deletions(-)
> 
> diff --git a/net/ipv4/igmp.c b/net/ipv4/igmp.c
> index d577199..e0d42db 100644
> --- a/net/ipv4/igmp.c
> +++ b/net/ipv4/igmp.c
> @@ -875,6 +875,8 @@ static void igmp_heard_query(struct in_device *in_dev, struct sk_buff *skb,
>  		 * to be intended in a v3 query.
>  		 */
>  		max_delay = IGMPV3_MRC(ih3->code)*(HZ/IGMP_TIMER_SCALE);
> +		if (!max_delay)
> +			max_delay = 1;	/* can't mod w/ 0 */
>  	} else { /* v3 */
>  		if (!pskb_may_pull(skb, sizeof(struct igmpv3_query)))
>  			return;

-- 
Ben Hutchings
Life is what happens to you while you're busy making other plans.
                                                               - John Lennon
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Tue, 10 Jan 2012 03:15:07 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Tue, 10 Jan 2012 04:09:03 GMT) Full text and rfc822 format available.

Notification sent to Simon McVittie <smcv@debian.org>:
Bug acknowledged by developer. (Tue, 10 Jan 2012 04:09:03 GMT) Full text and rfc822 format available.

Message #46 received at 654876-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 654876-close@bugs.debian.org
Subject: Bug#654876: fixed in linux-2.6 3.1.8-2
Date: Tue, 10 Jan 2012 04:04:21 +0000
Source: linux-2.6
Source-Version: 3.1.8-2

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_3.1.8-2.diff.gz
  to main/l/linux-2.6/linux-2.6_3.1.8-2.diff.gz
linux-2.6_3.1.8-2.dsc
  to main/l/linux-2.6/linux-2.6_3.1.8-2.dsc
linux-doc-3.1_3.1.8-2_all.deb
  to main/l/linux-2.6/linux-doc-3.1_3.1.8-2_all.deb
linux-manual-3.1_3.1.8-2_all.deb
  to main/l/linux-2.6/linux-manual-3.1_3.1.8-2_all.deb
linux-patch-debian-3.1_3.1.8-2_all.deb
  to main/l/linux-2.6/linux-patch-debian-3.1_3.1.8-2_all.deb
linux-source-3.1_3.1.8-2_all.deb
  to main/l/linux-2.6/linux-source-3.1_3.1.8-2_all.deb
linux-support-3.1.0-1_3.1.8-2_all.deb
  to main/l/linux-2.6/linux-support-3.1.0-1_3.1.8-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 654876@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 10 Jan 2012 00:14:39 +0000
Source: linux-2.6
Binary: linux-source-3.1 linux-doc-3.1 linux-manual-3.1 linux-patch-debian-3.1 linux-support-3.1.0-1 linux-libc-dev linux-headers-3.1.0-1-all linux-headers-3.1.0-1-all-alpha linux-headers-3.1.0-1-common linux-image-3.1.0-1-alpha-generic linux-headers-3.1.0-1-alpha-generic linux-image-3.1.0-1-alpha-smp linux-headers-3.1.0-1-alpha-smp linux-image-3.1.0-1-alpha-legacy linux-headers-3.1.0-1-alpha-legacy linux-headers-3.1.0-1-all-amd64 kernel-image-3.1.0-1-amd64-di nic-modules-3.1.0-1-amd64-di nic-extra-modules-3.1.0-1-amd64-di nic-wireless-modules-3.1.0-1-amd64-di nic-shared-modules-3.1.0-1-amd64-di serial-modules-3.1.0-1-amd64-di usb-serial-modules-3.1.0-1-amd64-di ppp-modules-3.1.0-1-amd64-di ide-modules-3.1.0-1-amd64-di pata-modules-3.1.0-1-amd64-di ide-core-modules-3.1.0-1-amd64-di cdrom-core-modules-3.1.0-1-amd64-di firewire-core-modules-3.1.0-1-amd64-di scsi-core-modules-3.1.0-1-amd64-di scsi-modules-3.1.0-1-amd64-di scsi-common-modules-3.1.0-1-amd64-di
Architecture: all source
Version: 3.1.8-2
Distribution: unstable
Urgency: high
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 654876
Description: 
 acpi-modules-3.1.0-1-486-di - ACPI support modules (udeb)
 acpi-modules-3.1.0-1-686-pae-di - ACPI support modules (udeb)
 acpi-modules-3.1.0-1-amd64-di - ACPI support modules (udeb)
 affs-modules-3.1.0-1-powerpc64-di - Amiga filesystem support (udeb)
 affs-modules-3.1.0-1-powerpc-di - Amiga filesystem support (udeb)
 ata-modules-3.1.0-1-486-di - ATA disk modules (udeb)
 ata-modules-3.1.0-1-686-pae-di - ATA disk modules (udeb)
 ata-modules-3.1.0-1-amd64-di - ATA disk modules (udeb)
 ata-modules-3.1.0-1-iop32x-di - ATA disk modules (udeb)
 ata-modules-3.1.0-1-itanium-di - ATA disk modules (udeb)
 ata-modules-3.1.0-1-powerpc64-di - ATA disk modules (udeb)
 ata-modules-3.1.0-1-powerpc-di - ATA disk modules (udeb)
 ata-modules-3.1.0-1-sparc64-di - ATA disk modules (udeb)
 btrfs-modules-3.1.0-1-486-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-4kc-malta-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-686-pae-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-amd64-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-amiga-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-atari-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-iop32x-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-itanium-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-kirkwood-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-loongson-2f-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-mac-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-mx5-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-orion5x-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-parisc64-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-parisc-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-powerpc64-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-powerpc-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-r4k-ip22-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-r5k-cobalt-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-r5k-ip32-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-sb1-bcm91250a-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-sh7751r-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-sh7785lcr-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-sparc64-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.1.0-1-versatile-di - BTRFS filesystem support (udeb)
 cdrom-core-modules-3.1.0-1-486-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-4kc-malta-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-686-pae-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-amd64-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-amiga-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-atari-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-iop32x-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-itanium-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-kirkwood-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-loongson-2f-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-mac-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-orion5x-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-parisc64-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-parisc-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-powerpc64-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-powerpc-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-sb1-bcm91250a-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-sh7751r-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-sh7785lcr-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-sparc64-di - CDROM support (udeb)
 cdrom-core-modules-3.1.0-1-versatile-di - CDROM support (udeb)
 core-modules-3.1.0-1-486-di - Core modules (udeb)
 core-modules-3.1.0-1-686-pae-di - Core modules (udeb)
 core-modules-3.1.0-1-amd64-di - Core modules (udeb)
 core-modules-3.1.0-1-iop32x-di - Core modules (udeb)
 core-modules-3.1.0-1-itanium-di - Core modules (udeb)
 core-modules-3.1.0-1-kirkwood-di - Core modules (udeb)
 core-modules-3.1.0-1-mx5-di - Core modules (udeb)
 core-modules-3.1.0-1-orion5x-di - Core modules (udeb)
 core-modules-3.1.0-1-powerpc64-di - Core modules (udeb)
 core-modules-3.1.0-1-powerpc-di - Core modules (udeb)
 core-modules-3.1.0-1-s390x-di - Core modules (udeb)
 core-modules-3.1.0-1-sparc64-di - Core modules (udeb)
 core-modules-3.1.0-1-versatile-di - Core modules (udeb)
 crc-modules-3.1.0-1-486-di - CRC modules (udeb)
 crc-modules-3.1.0-1-686-pae-di - CRC modules (udeb)
 crc-modules-3.1.0-1-amd64-di - CRC modules (udeb)
 crc-modules-3.1.0-1-iop32x-di - CRC modules (udeb)
 crc-modules-3.1.0-1-itanium-di - CRC modules (udeb)
 crc-modules-3.1.0-1-kirkwood-di - CRC modules (udeb)
 crc-modules-3.1.0-1-mx5-di - CRC modules (udeb)
 crc-modules-3.1.0-1-orion5x-di - CRC modules (udeb)
 crc-modules-3.1.0-1-powerpc64-di - CRC modules (udeb)
 crc-modules-3.1.0-1-powerpc-di - CRC modules (udeb)
 crc-modules-3.1.0-1-sh7751r-di - CRC modules (udeb)
 crc-modules-3.1.0-1-sh7785lcr-di - CRC modules (udeb)
 crc-modules-3.1.0-1-versatile-di - CRC modules (udeb)
 crypto-dm-modules-3.1.0-1-486-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-4kc-malta-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-686-pae-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-amd64-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-iop32x-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-itanium-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-kirkwood-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-loongson-2f-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-mx5-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-orion5x-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-parisc64-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-parisc-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-powerpc64-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-powerpc-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-r4k-ip22-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-r5k-cobalt-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-r5k-ip32-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-s390x-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-sb1-bcm91250a-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-sh7751r-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-sh7785lcr-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-sparc64-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.1.0-1-versatile-di - devicemapper crypto module (udeb)
 crypto-modules-3.1.0-1-486-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-4kc-malta-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-686-pae-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-amd64-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-amiga-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-atari-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-iop32x-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-itanium-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-kirkwood-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-loongson-2f-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-mac-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-mx5-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-orion5x-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-parisc64-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-parisc-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-powerpc64-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-powerpc-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-r4k-ip22-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-r5k-cobalt-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-r5k-ip32-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-s390x-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-sb1-bcm91250a-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-sh7751r-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-sh7785lcr-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-sparc64-di - crypto modules (udeb)
 crypto-modules-3.1.0-1-versatile-di - crypto modules (udeb)
 dasd-extra-modules-3.1.0-1-s390x-di - optional dasd DIAG support (udeb)
 dasd-modules-3.1.0-1-s390x-di - dasd modules (udeb)
 efi-modules-3.1.0-1-486-di - EFI modules (udeb)
 efi-modules-3.1.0-1-686-pae-di - EFI modules (udeb)
 efi-modules-3.1.0-1-amd64-di - EFI modules (udeb)
 efi-modules-3.1.0-1-itanium-di - EFI modules (udeb)
 event-modules-3.1.0-1-486-di - Event support (udeb)
 event-modules-3.1.0-1-686-pae-di - Event support (udeb)
 event-modules-3.1.0-1-amd64-di - Event support (udeb)
 event-modules-3.1.0-1-iop32x-di - Event support (udeb)
 event-modules-3.1.0-1-itanium-di - Event support (udeb)
 event-modules-3.1.0-1-kirkwood-di - Event support (udeb)
 event-modules-3.1.0-1-orion5x-di - Event support (udeb)
 event-modules-3.1.0-1-powerpc64-di - Event support (udeb)
 event-modules-3.1.0-1-powerpc-di - Event support (udeb)
 ext2-modules-3.1.0-1-486-di - EXT2 filesystem support (udeb)
 ext2-modules-3.1.0-1-686-pae-di - EXT2 filesystem support (udeb)
 ext2-modules-3.1.0-1-amd64-di - EXT2 filesystem support (udeb)
 ext2-modules-3.1.0-1-iop32x-di - EXT2 filesystem support (udeb)
 ext2-modules-3.1.0-1-itanium-di - EXT2 filesystem support (udeb)
 ext2-modules-3.1.0-1-kirkwood-di - EXT2 filesystem support (udeb)
 ext2-modules-3.1.0-1-mx5-di - EXT2 filesystem support (udeb)
 ext2-modules-3.1.0-1-orion5x-di - EXT2 filesystem support (udeb)
 ext2-modules-3.1.0-1-powerpc64-di - EXT2 filesystem support (udeb)
 ext2-modules-3.1.0-1-powerpc-di - EXT2 filesystem support (udeb)
 ext2-modules-3.1.0-1-s390x-di - EXT2 filesystem support (udeb)
 ext2-modules-3.1.0-1-sh7751r-di - EXT2 filesystem support (udeb)
 ext2-modules-3.1.0-1-sh7785lcr-di - EXT2 filesystem support (udeb)
 ext2-modules-3.1.0-1-sparc64-di - EXT2 filesystem support (udeb)
 ext2-modules-3.1.0-1-versatile-di - EXT2 filesystem support (udeb)
 ext3-modules-3.1.0-1-486-di - EXT3 filesystem support (udeb)
 ext3-modules-3.1.0-1-686-pae-di - EXT3 filesystem support (udeb)
 ext3-modules-3.1.0-1-amd64-di - EXT3 filesystem support (udeb)
 ext3-modules-3.1.0-1-iop32x-di - EXT3 filesystem support (udeb)
 ext3-modules-3.1.0-1-itanium-di - EXT3 filesystem support (udeb)
 ext3-modules-3.1.0-1-kirkwood-di - EXT3 filesystem support (udeb)
 ext3-modules-3.1.0-1-mx5-di - EXT3 filesystem support (udeb)
 ext3-modules-3.1.0-1-orion5x-di - EXT3 filesystem support (udeb)
 ext3-modules-3.1.0-1-parisc64-di - EXT3 filesystem support (udeb)
 ext3-modules-3.1.0-1-parisc-di - EXT3 filesystem support (udeb)
 ext3-modules-3.1.0-1-powerpc64-di - EXT3 filesystem support (udeb)
 ext3-modules-3.1.0-1-powerpc-di - EXT3 filesystem support (udeb)
 ext3-modules-3.1.0-1-s390x-di - EXT3 filesystem support (udeb)
 ext3-modules-3.1.0-1-sparc64-di - EXT3 filesystem support (udeb)
 ext3-modules-3.1.0-1-versatile-di - EXT3 filesystem support (udeb)
 ext4-modules-3.1.0-1-486-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-4kc-malta-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-686-pae-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-amd64-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-iop32x-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-itanium-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-kirkwood-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-loongson-2f-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-mx5-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-orion5x-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-parisc64-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-parisc-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-powerpc64-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-powerpc-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-r4k-ip22-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-r5k-cobalt-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-r5k-ip32-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-s390x-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-sb1-bcm91250a-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-sh7751r-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-sh7785lcr-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-sparc64-di - EXT4 filesystem support (udeb)
 ext4-modules-3.1.0-1-versatile-di - EXT4 filesystem support (udeb)
 fancontrol-modules-3.1.0-1-powerpc64-di - Apple powermac fancontrol modules (udeb)
 fat-modules-3.1.0-1-486-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-4kc-malta-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-686-pae-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-amd64-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-amiga-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-atari-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-iop32x-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-itanium-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-kirkwood-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-loongson-2f-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-mac-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-mx5-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-orion5x-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-parisc64-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-parisc-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-powerpc64-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-powerpc-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-r5k-cobalt-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-s390x-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-sb1-bcm91250a-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-sh7751r-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-sh7785lcr-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-sparc64-di - FAT filesystem support (udeb)
 fat-modules-3.1.0-1-versatile-di - FAT filesystem support (udeb)
 fb-modules-3.1.0-1-486-di - Frame buffer support (udeb)
 fb-modules-3.1.0-1-686-pae-di - Frame buffer support (udeb)
 fb-modules-3.1.0-1-amd64-di - Frame buffer support (udeb)
 fb-modules-3.1.0-1-itanium-di - Frame buffer support (udeb)
 fb-modules-3.1.0-1-kirkwood-di - Frame buffer support (udeb)
 fb-modules-3.1.0-1-sb1-bcm91250a-di - Frame buffer support (udeb)
 firewire-core-modules-3.1.0-1-486-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.1.0-1-686-pae-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.1.0-1-amd64-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.1.0-1-itanium-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.1.0-1-powerpc64-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.1.0-1-powerpc-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.1.0-1-sh7751r-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.1.0-1-sh7785lcr-di - Core FireWire drivers (udeb)
 floppy-modules-3.1.0-1-486-di - Floppy driver (udeb)
 floppy-modules-3.1.0-1-686-pae-di - Floppy driver (udeb)
 floppy-modules-3.1.0-1-amd64-di - Floppy driver (udeb)
 floppy-modules-3.1.0-1-powerpc64-di - Floppy driver (udeb)
 floppy-modules-3.1.0-1-powerpc-di - Floppy driver (udeb)
 hfs-modules-3.1.0-1-powerpc64-di - HFS filesystem support (udeb)
 hfs-modules-3.1.0-1-powerpc-di - HFS filesystem support (udeb)
 hypervisor-modules-3.1.0-1-powerpc64-di - IBM 64bit hypervisor console modules (udeb)
 i2c-modules-3.1.0-1-486-di - i2c support modules (udeb)
 i2c-modules-3.1.0-1-686-pae-di - i2c support modules (udeb)
 i2c-modules-3.1.0-1-amd64-di - i2c support modules (udeb)
 i2c-modules-3.1.0-1-sh7751r-di - i2c support modules (udeb)
 ide-core-modules-3.1.0-1-486-di - IDE support (udeb)
 ide-core-modules-3.1.0-1-686-pae-di - IDE support (udeb)
 ide-core-modules-3.1.0-1-amd64-di - IDE support (udeb)
 ide-core-modules-3.1.0-1-itanium-di - IDE support (udeb)
 ide-core-modules-3.1.0-1-powerpc64-di - IDE support (udeb)
 ide-core-modules-3.1.0-1-powerpc-di - IDE support (udeb)
 ide-modules-3.1.0-1-486-di - IDE drivers (udeb)
 ide-modules-3.1.0-1-686-pae-di - IDE drivers (udeb)
 ide-modules-3.1.0-1-amd64-di - IDE drivers (udeb)
 ide-modules-3.1.0-1-itanium-di - IDE drivers (udeb)
 ide-modules-3.1.0-1-parisc64-di - IDE drivers (udeb)
 ide-modules-3.1.0-1-parisc-di - IDE drivers (udeb)
 ide-modules-3.1.0-1-powerpc64-di - IDE drivers (udeb)
 ide-modules-3.1.0-1-powerpc-di - IDE drivers (udeb)
 ide-modules-3.1.0-1-sparc64-di - IDE drivers (udeb)
 input-modules-3.1.0-1-486-di - Input devices support (udeb)
 input-modules-3.1.0-1-4kc-malta-di - Input devices support (udeb)
 input-modules-3.1.0-1-686-pae-di - Input devices support (udeb)
 input-modules-3.1.0-1-amd64-di - Input devices support (udeb)
 input-modules-3.1.0-1-itanium-di - Input devices support (udeb)
 input-modules-3.1.0-1-kirkwood-di - Input devices support (udeb)
 input-modules-3.1.0-1-loongson-2f-di - Input devices support (udeb)
 input-modules-3.1.0-1-mx5-di - Input devices support (udeb)
 input-modules-3.1.0-1-parisc64-di - Input devices support (udeb)
 input-modules-3.1.0-1-parisc-di - Input devices support (udeb)
 input-modules-3.1.0-1-powerpc64-di - Input devices support (udeb)
 input-modules-3.1.0-1-powerpc-di - Input devices support (udeb)
 input-modules-3.1.0-1-sb1-bcm91250a-di - Input devices support (udeb)
 input-modules-3.1.0-1-sparc64-di - Input devices support (udeb)
 ipv6-modules-3.1.0-1-4kc-malta-di - IPv6 driver (udeb)
 ipv6-modules-3.1.0-1-itanium-di - IPv6 driver (udeb)
 ipv6-modules-3.1.0-1-loongson-2f-di - IPv6 driver (udeb)
 ipv6-modules-3.1.0-1-parisc64-di - IPv6 driver (udeb)
 ipv6-modules-3.1.0-1-parisc-di - IPv6 driver (udeb)
 ipv6-modules-3.1.0-1-r4k-ip22-di - IPv6 driver (udeb)
 ipv6-modules-3.1.0-1-r5k-cobalt-di - IPv6 driver (udeb)
 ipv6-modules-3.1.0-1-r5k-ip32-di - IPv6 driver (udeb)
 ipv6-modules-3.1.0-1-sb1-bcm91250a-di - IPv6 driver (udeb)
 irda-modules-3.1.0-1-486-di - Infrared devices support (udeb)
 irda-modules-3.1.0-1-686-pae-di - Infrared devices support (udeb)
 irda-modules-3.1.0-1-amd64-di - Infrared devices support (udeb)
 irda-modules-3.1.0-1-itanium-di - Infrared devices support (udeb)
 irda-modules-3.1.0-1-powerpc64-di - Infrared devices support (udeb)
 irda-modules-3.1.0-1-powerpc-di - Infrared devices support (udeb)
 isofs-modules-3.1.0-1-486-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-4kc-malta-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-686-pae-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-amd64-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-amiga-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-atari-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-iop32x-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-itanium-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-kirkwood-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-loongson-2f-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-mac-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-mx5-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-orion5x-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-powerpc64-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-powerpc-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-r4k-ip22-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-r5k-ip32-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-sb1-bcm91250a-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-sh7751r-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-sh7785lcr-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-sparc64-di - ISOFS filesystem support (udeb)
 isofs-modules-3.1.0-1-versatile-di - ISOFS filesystem support (udeb)
 jffs2-modules-3.1.0-1-iop32x-di - JFFS2 filesystem support (udeb)
 jffs2-modules-3.1.0-1-orion5x-di - JFFS2 filesystem support (udeb)
 jfs-modules-3.1.0-1-486-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-4kc-malta-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-686-pae-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-amd64-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-amiga-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-atari-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-iop32x-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-itanium-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-kirkwood-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-loongson-2f-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-mac-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-mx5-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-orion5x-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-powerpc64-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-powerpc-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-r4k-ip22-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-r5k-cobalt-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-r5k-ip32-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-sb1-bcm91250a-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-sh7751r-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-sh7785lcr-di - JFS filesystem support (udeb)
 jfs-modules-3.1.0-1-sparc64-di - JFS filesystem support (udeb)
 kernel-image-3.1.0-1-486-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-4kc-malta-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-686-pae-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-amd64-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-amiga-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-atari-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-iop32x-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-itanium-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-kirkwood-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-loongson-2f-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-mac-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-mx5-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-orion5x-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-parisc64-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-parisc-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-powerpc64-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-powerpc-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-r4k-ip22-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-r5k-cobalt-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-r5k-ip32-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-s390x-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-s390x-tape-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-sb1-bcm91250a-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-sh7751r-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-sh7785lcr-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-sparc64-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.1.0-1-versatile-di - Linux kernel binary image for the Debian installer (udeb)
 linux-doc-3.1 - Linux kernel specific documentation for version 3.1
 linux-headers-3.1.0-1-486 - Header files for Linux 3.1.0-1-486
 linux-headers-3.1.0-1-4kc-malta - Header files for Linux 3.1.0-1-4kc-malta
 linux-headers-3.1.0-1-5kc-malta - Header files for Linux 3.1.0-1-5kc-malta
 linux-headers-3.1.0-1-686-pae - Header files for Linux 3.1.0-1-686-pae
 linux-headers-3.1.0-1-all - All header files for Linux 3.1 (meta-package)
 linux-headers-3.1.0-1-all-alpha - All header files for Linux 3.1 (meta-package)
 linux-headers-3.1.0-1-all-amd64 - All header files for Linux 3.1 (meta-package)
 linux-headers-3.1.0-1-all-armel - All header files for Linux 3.1 (meta-package)
 linux-headers-3.1.0-1-all-armhf - All header files for Linux 3.1 (meta-package)
 linux-headers-3.1.0-1-all-hppa - All header files for Linux 3.1 (meta-package)
 linux-headers-3.1.0-1-all-i386 - All header files for Linux 3.1 (meta-package)
 linux-headers-3.1.0-1-all-ia64 - All header files for Linux 3.1 (meta-package)
 linux-headers-3.1.0-1-all-m68k - All header files for Linux 3.1 (meta-package)
 linux-headers-3.1.0-1-all-mips - All header files for Linux 3.1 (meta-package)
 linux-headers-3.1.0-1-all-mipsel - All header files for Linux 3.1 (meta-package)
 linux-headers-3.1.0-1-all-powerpc - All header files for Linux 3.1 (meta-package)
 linux-headers-3.1.0-1-all-ppc64 - All header files for Linux 3.1 (meta-package)
 linux-headers-3.1.0-1-all-s390 - All header files for Linux 3.1 (meta-package)
 linux-headers-3.1.0-1-all-s390x - All header files for Linux 3.1 (meta-package)
 linux-headers-3.1.0-1-all-sh4 - All header files for Linux 3.1 (meta-package)
 linux-headers-3.1.0-1-all-sparc64 - All header files for Linux 3.1 (meta-package)
 linux-headers-3.1.0-1-all-sparc - All header files for Linux 3.1 (meta-package)
 linux-headers-3.1.0-1-alpha-generic - Header files for Linux 3.1.0-1-alpha-generic
 linux-headers-3.1.0-1-alpha-legacy - Header files for Linux 3.1.0-1-alpha-legacy
 linux-headers-3.1.0-1-alpha-smp - Header files for Linux 3.1.0-1-alpha-smp
 linux-headers-3.1.0-1-amd64 - Header files for Linux 3.1.0-1-amd64
 linux-headers-3.1.0-1-amiga - Header files for Linux 3.1.0-1-amiga
 linux-headers-3.1.0-1-atari - Header files for Linux 3.1.0-1-atari
 linux-headers-3.1.0-1-bvme6000 - Header files for Linux 3.1.0-1-bvme6000
 linux-headers-3.1.0-1-common - Common header files for Linux 3.1.0-1
 linux-headers-3.1.0-1-iop32x - Header files for Linux 3.1.0-1-iop32x
 linux-headers-3.1.0-1-itanium - Header files for Linux 3.1.0-1-itanium
 linux-headers-3.1.0-1-ixp4xx - Header files for Linux 3.1.0-1-ixp4xx
 linux-headers-3.1.0-1-kirkwood - Header files for Linux 3.1.0-1-kirkwood
 linux-headers-3.1.0-1-loongson-2f - Header files for Linux 3.1.0-1-loongson-2f
 linux-headers-3.1.0-1-mac - Header files for Linux 3.1.0-1-mac
 linux-headers-3.1.0-1-mckinley - Header files for Linux 3.1.0-1-mckinley
 linux-headers-3.1.0-1-mvme147 - Header files for Linux 3.1.0-1-mvme147
 linux-headers-3.1.0-1-mvme16x - Header files for Linux 3.1.0-1-mvme16x
 linux-headers-3.1.0-1-mx5 - Header files for Linux 3.1.0-1-mx5
 linux-headers-3.1.0-1-octeon - Header files for Linux 3.1.0-1-octeon
 linux-headers-3.1.0-1-omap - Header files for Linux 3.1.0-1-omap
 linux-headers-3.1.0-1-orion5x - Header files for Linux 3.1.0-1-orion5x
 linux-headers-3.1.0-1-parisc64 - Header files for Linux 3.1.0-1-parisc64
 linux-headers-3.1.0-1-parisc64-smp - Header files for Linux 3.1.0-1-parisc64-smp
 linux-headers-3.1.0-1-parisc - Header files for Linux 3.1.0-1-parisc
 linux-headers-3.1.0-1-parisc-smp - Header files for Linux 3.1.0-1-parisc-smp
 linux-headers-3.1.0-1-powerpc64 - Header files for Linux 3.1.0-1-powerpc64
 linux-headers-3.1.0-1-powerpc - Header files for Linux 3.1.0-1-powerpc
 linux-headers-3.1.0-1-powerpc-smp - Header files for Linux 3.1.0-1-powerpc-smp
 linux-headers-3.1.0-1-r4k-ip22 - Header files for Linux 3.1.0-1-r4k-ip22
 linux-headers-3.1.0-1-r5k-cobalt - Header files for Linux 3.1.0-1-r5k-cobalt
 linux-headers-3.1.0-1-r5k-ip32 - Header files for Linux 3.1.0-1-r5k-ip32
 linux-headers-3.1.0-1-s390x - Header files for Linux 3.1.0-1-s390x
 linux-headers-3.1.0-1-sb1a-bcm91480b - Header files for Linux 3.1.0-1-sb1a-bcm91480b
 linux-headers-3.1.0-1-sb1-bcm91250a - Header files for Linux 3.1.0-1-sb1-bcm91250a
 linux-headers-3.1.0-1-sh7751r - Header files for Linux 3.1.0-1-sh7751r
 linux-headers-3.1.0-1-sh7785lcr - Header files for Linux 3.1.0-1-sh7785lcr
 linux-headers-3.1.0-1-sparc64 - Header files for Linux 3.1.0-1-sparc64
 linux-headers-3.1.0-1-sparc64-smp - Header files for Linux 3.1.0-1-sparc64-smp
 linux-headers-3.1.0-1-versatile - Header files for Linux 3.1.0-1-versatile
 linux-image-3.1.0-1-486 - Linux 3.1 for older PCs
 linux-image-3.1.0-1-4kc-malta - Linux 3.1 for MIPS Malta
 linux-image-3.1.0-1-5kc-malta - Linux 3.1 for MIPS Malta (64-bit)
 linux-image-3.1.0-1-686-pae-dbg - Debugging infos for Linux 3.1.0-1-686-pae
 linux-image-3.1.0-1-686-pae - Linux 3.1 for modern PCs
 linux-image-3.1.0-1-alpha-generic - Linux 3.1 for Alpha
 linux-image-3.1.0-1-alpha-legacy - Linux 3.1 for Alpha Legacy
 linux-image-3.1.0-1-alpha-smp - Linux 3.1 for Alpha SMP
 linux-image-3.1.0-1-amd64-dbg - Debugging infos for Linux 3.1.0-1-amd64
 linux-image-3.1.0-1-amd64 - Linux 3.1 for 64-bit PCs
 linux-image-3.1.0-1-amiga - Linux 3.1 for Amiga
 linux-image-3.1.0-1-atari - Linux 3.1 for Atari
 linux-image-3.1.0-1-bvme6000 - Linux 3.1 for BVM BVME4000 and BVME6000
 linux-image-3.1.0-1-iop32x - Linux 3.1 for IOP32x
 linux-image-3.1.0-1-itanium - Linux 3.1 for Itanium
 linux-image-3.1.0-1-ixp4xx - Linux 3.1 for IXP4xx
 linux-image-3.1.0-1-kirkwood - Linux 3.1 for Marvell Kirkwood
 linux-image-3.1.0-1-loongson-2f - Linux 3.1 for Loongson 2F
 linux-image-3.1.0-1-mac - Linux 3.1 for Macintosh
 linux-image-3.1.0-1-mckinley - Linux 3.1 for Itanium II
 linux-image-3.1.0-1-mvme147 - Linux 3.1 for Motorola MVME147
 linux-image-3.1.0-1-mvme16x - Linux 3.1 for Motorola MVME162/6/7, MVME172/7
 linux-image-3.1.0-1-mx5 - Linux 3.1 for Freescale i.MX51
 linux-image-3.1.0-1-octeon - Linux 3.1 for Octeon
 linux-image-3.1.0-1-omap - Linux 3.1 for TI OMAP3+
 linux-image-3.1.0-1-orion5x - Linux 3.1 for Marvell Orion
 linux-image-3.1.0-1-parisc64 - Linux 3.1 for 64-bit PA-RISC
 linux-image-3.1.0-1-parisc64-smp - Linux 3.1 for multiprocessor 64-bit PA-RISC
 linux-image-3.1.0-1-parisc - Linux 3.1 for 32-bit PA-RISC
 linux-image-3.1.0-1-parisc-smp - Linux 3.1 for multiprocessor 32-bit PA-RISC
 linux-image-3.1.0-1-powerpc64 - Linux 3.1 for 64-bit PowerPC
 linux-image-3.1.0-1-powerpc - Linux 3.1 for uniprocessor 32-bit PowerPC
 linux-image-3.1.0-1-powerpc-smp - Linux 3.1 for multiprocessor 32-bit PowerPC
 linux-image-3.1.0-1-r4k-ip22 - Linux 3.1 for SGI IP22
 linux-image-3.1.0-1-r5k-cobalt - Linux 3.1 for Cobalt
 linux-image-3.1.0-1-r5k-ip32 - Linux 3.1 for SGI IP32
 linux-image-3.1.0-1-s390x - Linux 3.1 for IBM zSeries
 linux-image-3.1.0-1-s390x-tape - Linux 3.1 for IBM zSeries, IPL from tape
 linux-image-3.1.0-1-sb1a-bcm91480b - Linux 3.1 for BCM91480B
 linux-image-3.1.0-1-sb1-bcm91250a - Linux 3.1 for BCM91250A
 linux-image-3.1.0-1-sh7751r - Linux 3.1 for sh7751r
 linux-image-3.1.0-1-sh7785lcr - Linux 3.1 for sh7785lcr
 linux-image-3.1.0-1-sparc64 - Linux 3.1 for uniprocessor 64-bit UltraSPARC
 linux-image-3.1.0-1-sparc64-smp - Linux 3.1 for multiprocessor 64-bit UltraSPARC
 linux-image-3.1.0-1-versatile - Linux 3.1 for Versatile
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-3.1 - Linux kernel API manual pages for version 3.1
 linux-patch-debian-3.1 - Debian patches to version 3.1 of the Linux kernel
 linux-source-3.1 - Linux kernel source for version 3.1 with Debian patches
 linux-support-3.1.0-1 - Support files for Linux 3.1
 loop-modules-3.1.0-1-486-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-4kc-malta-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-686-pae-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-amd64-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-iop32x-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-itanium-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-kirkwood-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-loongson-2f-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-mx5-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-orion5x-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-parisc64-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-parisc-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-powerpc64-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-powerpc-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-r4k-ip22-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-r5k-cobalt-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-r5k-ip32-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-sb1-bcm91250a-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-sh7751r-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-sh7785lcr-di - Loopback filesystem support (udeb)
 loop-modules-3.1.0-1-versatile-di - Loopback filesystem support (udeb)
 lzo-modules-3.1.0-1-iop32x-di - lzo modules (udeb)
 lzo-modules-3.1.0-1-orion5x-di - lzo modules (udeb)
 lzo-modules-3.1.0-1-versatile-di - lzo modules (udeb)
 md-modules-3.1.0-1-486-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-4kc-malta-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-686-pae-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-amd64-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-amiga-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-atari-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-iop32x-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-itanium-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-kirkwood-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-loongson-2f-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-mac-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-mx5-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-orion5x-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-parisc64-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-parisc-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-powerpc64-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-powerpc-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-r4k-ip22-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-r5k-cobalt-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-r5k-ip32-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-s390x-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-sb1-bcm91250a-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-sh7751r-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-sh7785lcr-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-sparc64-di - RAID and LVM support (udeb)
 md-modules-3.1.0-1-versatile-di - RAID and LVM support (udeb)
 minix-modules-3.1.0-1-kirkwood-di - Minix filesystem support (udeb)
 minix-modules-3.1.0-1-mx5-di - Minix filesystem support (udeb)
 minix-modules-3.1.0-1-orion5x-di - Minix filesystem support (udeb)
 minix-modules-3.1.0-1-sh7751r-di - Minix filesystem support (udeb)
 minix-modules-3.1.0-1-sh7785lcr-di - Minix filesystem support (udeb)
 mmc-core-modules-3.1.0-1-486-di - MMC/SD/SDIO core modules (udeb)
 mmc-core-modules-3.1.0-1-686-pae-di - MMC/SD/SDIO core modules (udeb)
 mmc-core-modules-3.1.0-1-amd64-di - MMC/SD/SDIO core modules (udeb)
 mmc-modules-3.1.0-1-486-di - MMC/SD card modules (udeb)
 mmc-modules-3.1.0-1-686-pae-di - MMC/SD card modules (udeb)
 mmc-modules-3.1.0-1-amd64-di - MMC/SD card modules (udeb)
 mmc-modules-3.1.0-1-kirkwood-di - MMC/SD card modules (udeb)
 mmc-modules-3.1.0-1-mx5-di - MMC/SD card modules (udeb)
 mouse-modules-3.1.0-1-486-di - Mouse support (udeb)
 mouse-modules-3.1.0-1-686-pae-di - Mouse support (udeb)
 mouse-modules-3.1.0-1-amd64-di - Mouse support (udeb)
 mouse-modules-3.1.0-1-itanium-di - Mouse support (udeb)
 mouse-modules-3.1.0-1-kirkwood-di - Mouse support (udeb)
 mouse-modules-3.1.0-1-powerpc64-di - Mouse support (udeb)
 mouse-modules-3.1.0-1-powerpc-di - Mouse support (udeb)
 multipath-modules-3.1.0-1-486-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-4kc-malta-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-686-pae-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-amd64-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-iop32x-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-itanium-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-kirkwood-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-loongson-2f-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-mx5-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-orion5x-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-parisc64-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-parisc-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-powerpc64-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-powerpc-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-r4k-ip22-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-r5k-cobalt-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-r5k-ip32-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-s390x-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-sb1-bcm91250a-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-sh7751r-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-sh7785lcr-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-sparc64-di - Multipath support (udeb)
 multipath-modules-3.1.0-1-versatile-di - Multipath support (udeb)
 nbd-modules-3.1.0-1-486-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-4kc-malta-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-686-pae-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-amd64-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-amiga-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-atari-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-iop32x-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-itanium-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-kirkwood-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-loongson-2f-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-mac-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-mx5-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-orion5x-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-parisc64-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-parisc-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-powerpc64-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-powerpc-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-r4k-ip22-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-r5k-cobalt-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-r5k-ip32-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-s390x-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-sb1-bcm91250a-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-sh7751r-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-sh7785lcr-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-sparc64-di - Network Block Device modules (udeb)
 nbd-modules-3.1.0-1-versatile-di - Network Block Device modules (udeb)
 nfs-modules-3.1.0-1-r5k-cobalt-di - NFS filesystem support (udeb)
 nic-extra-modules-3.1.0-1-486-di - Rare NIC drivers (udeb)
 nic-extra-modules-3.1.0-1-686-pae-di - Rare NIC drivers (udeb)
 nic-extra-modules-3.1.0-1-amd64-di - Rare NIC drivers (udeb)
 nic-extra-modules-3.1.0-1-powerpc64-di - Rare NIC drivers (udeb)
 nic-extra-modules-3.1.0-1-powerpc-di - Rare NIC drivers (udeb)
 nic-modules-3.1.0-1-486-di - Common NIC drivers (udeb)
 nic-modules-3.1.0-1-686-pae-di - Common NIC drivers (udeb)
 nic-modules-3.1.0-1-amd64-di - Common NIC drivers (udeb)
 nic-modules-3.1.0-1-iop32x-di - Common NIC drivers (udeb)
 nic-modules-3.1.0-1-itanium-di - Common NIC drivers (udeb)
 nic-modules-3.1.0-1-kirkwood-di - Common NIC drivers (udeb)
 nic-modules-3.1.0-1-loongson-2f-di - Common NIC drivers (udeb)
 nic-modules-3.1.0-1-mx5-di - Common NIC drivers (udeb)
 nic-modules-3.1.0-1-orion5x-di - Common NIC drivers (udeb)
 nic-modules-3.1.0-1-parisc64-di - Common NIC drivers (udeb)
 nic-modules-3.1.0-1-parisc-di - Common NIC drivers (udeb)
 nic-modules-3.1.0-1-powerpc64-di - Common NIC drivers (udeb)
 nic-modules-3.1.0-1-powerpc-di - Common NIC drivers (udeb)
 nic-modules-3.1.0-1-s390x-di - Common NIC drivers (udeb)
 nic-modules-3.1.0-1-sh7751r-di - Common NIC drivers (udeb)
 nic-modules-3.1.0-1-sh7785lcr-di - Common NIC drivers (udeb)
 nic-modules-3.1.0-1-sparc64-di - Network card modules for Sparc kernels (udeb)
 nic-modules-3.1.0-1-versatile-di - Common NIC drivers (udeb)
 nic-pcmcia-modules-3.1.0-1-486-di - Common PCMCIA NIC drivers (udeb)
 nic-pcmcia-modules-3.1.0-1-686-pae-di - Common PCMCIA NIC drivers (udeb)
 nic-pcmcia-modules-3.1.0-1-amd64-di - Common PCMCIA NIC drivers (udeb)
 nic-pcmcia-modules-3.1.0-1-powerpc64-di - Common PCMCIA NIC drivers (udeb)
 nic-pcmcia-modules-3.1.0-1-powerpc-di - Common PCMCIA NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-486-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-686-pae-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-amd64-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-amiga-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-atari-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-iop32x-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-itanium-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-kirkwood-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-loongson-2f-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-mac-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-mx5-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-orion5x-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-powerpc64-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-powerpc-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-r4k-ip22-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-r5k-cobalt-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-r5k-ip32-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-sb1-bcm91250a-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.1.0-1-versatile-di - Shared NIC drivers (udeb)
 nic-usb-modules-3.1.0-1-486-di - USB NIC drivers (udeb)
 nic-usb-modules-3.1.0-1-686-pae-di - USB NIC drivers (udeb)
 nic-usb-modules-3.1.0-1-amd64-di - USB NIC drivers (udeb)
 nic-usb-modules-3.1.0-1-iop32x-di - USB NIC drivers (udeb)
 nic-usb-modules-3.1.0-1-itanium-di - USB NIC drivers (udeb)
 nic-usb-modules-3.1.0-1-kirkwood-di - USB NIC drivers (udeb)
 nic-usb-modules-3.1.0-1-loongson-2f-di - USB NIC drivers (udeb)
 nic-usb-modules-3.1.0-1-mx5-di - USB NIC drivers (udeb)
 nic-usb-modules-3.1.0-1-orion5x-di - USB NIC drivers (udeb)
 nic-usb-modules-3.1.0-1-sh7751r-di - USB NIC drivers (udeb)
 nic-usb-modules-3.1.0-1-sh7785lcr-di - USB NIC drivers (udeb)
 nic-usb-modules-3.1.0-1-versatile-di - USB NIC drivers (udeb)
 nic-wireless-modules-3.1.0-1-486-di - Wireless NIC drivers (udeb)
 nic-wireless-modules-3.1.0-1-686-pae-di - Wireless NIC drivers (udeb)
 nic-wireless-modules-3.1.0-1-amd64-di - Wireless NIC drivers (udeb)
 ntfs-modules-3.1.0-1-486-di - NTFS filesystem support (udeb)
 ntfs-modules-3.1.0-1-686-pae-di - NTFS filesystem support (udeb)
 ntfs-modules-3.1.0-1-amd64-di - NTFS filesystem support (udeb)
 ntfs-modules-3.1.0-1-itanium-di - NTFS filesystem support (udeb)
 parport-modules-3.1.0-1-486-di - Parallel port support (udeb)
 parport-modules-3.1.0-1-686-pae-di - Parallel port support (udeb)
 parport-modules-3.1.0-1-amd64-di - Parallel port support (udeb)
 parport-modules-3.1.0-1-itanium-di - Parallel port support (udeb)
 parport-modules-3.1.0-1-sh7751r-di - Parallel port support (udeb)
 parport-modules-3.1.0-1-sh7785lcr-di - Parallel port support (udeb)
 pata-modules-3.1.0-1-486-di - PATA drivers (udeb)
 pata-modules-3.1.0-1-686-pae-di - PATA drivers (udeb)
 pata-modules-3.1.0-1-amd64-di - PATA drivers (udeb)
 pata-modules-3.1.0-1-iop32x-di - PATA drivers (udeb)
 pata-modules-3.1.0-1-itanium-di - PATA drivers (udeb)
 pata-modules-3.1.0-1-parisc64-di - PATA drivers (udeb)
 pata-modules-3.1.0-1-parisc-di - PATA drivers (udeb)
 pata-modules-3.1.0-1-powerpc64-di - PATA drivers (udeb)
 pata-modules-3.1.0-1-powerpc-di - PATA drivers (udeb)
 pata-modules-3.1.0-1-sh7751r-di - PATA drivers (udeb)
 pata-modules-3.1.0-1-sh7785lcr-di - PATA drivers (udeb)
 pata-modules-3.1.0-1-sparc64-di - PATA drivers (udeb)
 pcmcia-modules-3.1.0-1-486-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.1.0-1-686-pae-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.1.0-1-amd64-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.1.0-1-itanium-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.1.0-1-powerpc64-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.1.0-1-powerpc-di - Common PCMCIA drivers (udeb)
 pcmcia-storage-modules-3.1.0-1-486-di - PCMCIA storage drivers (udeb)
 pcmcia-storage-modules-3.1.0-1-686-pae-di - PCMCIA storage drivers (udeb)
 pcmcia-storage-modules-3.1.0-1-amd64-di - PCMCIA storage drivers (udeb)
 pcmcia-storage-modules-3.1.0-1-powerpc64-di - PCMCIA storage drivers (udeb)
 pcmcia-storage-modules-3.1.0-1-powerpc-di - PCMCIA storage drivers (udeb)
 plip-modules-3.1.0-1-486-di - PLIP drivers (udeb)
 plip-modules-3.1.0-1-686-pae-di - PLIP drivers (udeb)
 plip-modules-3.1.0-1-amd64-di - PLIP drivers (udeb)
 plip-modules-3.1.0-1-itanium-di - PLIP drivers (udeb)
 plip-modules-3.1.0-1-sparc64-di - PLIP drivers (udeb)
 ppp-modules-3.1.0-1-486-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-4kc-malta-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-686-pae-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-amd64-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-amiga-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-atari-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-iop32x-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-itanium-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-kirkwood-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-loongson-2f-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-mac-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-orion5x-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-parisc64-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-parisc-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-powerpc64-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-powerpc-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-r5k-cobalt-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-sb1-bcm91250a-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-sh7751r-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-sh7785lcr-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-sparc64-di - PPP drivers (udeb)
 ppp-modules-3.1.0-1-versatile-di - PPP drivers (udeb)
 qnx4-modules-3.1.0-1-486-di - QNX4 filesystem support (udeb)
 qnx4-modules-3.1.0-1-686-pae-di - QNX4 filesystem support (udeb)
 qnx4-modules-3.1.0-1-amd64-di - QNX4 filesystem support (udeb)
 reiserfs-modules-3.1.0-1-486-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-4kc-malta-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-686-pae-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-amd64-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-amiga-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-atari-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-iop32x-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-itanium-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-kirkwood-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-loongson-2f-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-mac-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-mx5-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-orion5x-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-powerpc64-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-powerpc-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-r4k-ip22-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-r5k-cobalt-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-r5k-ip32-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-sb1-bcm91250a-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-sh7751r-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-sh7785lcr-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-sparc64-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.1.0-1-versatile-di - Reiser filesystem support (udeb)
 rtc-modules-3.1.0-1-sb1-bcm91250a-di - RTC modules (udeb)
 sata-modules-3.1.0-1-486-di - SATA drivers (udeb)
 sata-modules-3.1.0-1-4kc-malta-di - SATA drivers (udeb)
 sata-modules-3.1.0-1-686-pae-di - SATA drivers (udeb)
 sata-modules-3.1.0-1-amd64-di - SATA drivers (udeb)
 sata-modules-3.1.0-1-iop32x-di - SATA drivers (udeb)
 sata-modules-3.1.0-1-itanium-di - SATA drivers (udeb)
 sata-modules-3.1.0-1-kirkwood-di - SATA drivers (udeb)
 sata-modules-3.1.0-1-loongson-2f-di - SATA drivers (udeb)
 sata-modules-3.1.0-1-orion5x-di - SATA drivers (udeb)
 sata-modules-3.1.0-1-powerpc64-di - SATA drivers (udeb)
 sata-modules-3.1.0-1-powerpc-di - SATA drivers (udeb)
 sata-modules-3.1.0-1-sb1-bcm91250a-di - SATA drivers (udeb)
 sata-modules-3.1.0-1-sh7751r-di - SATA drivers (udeb)
 sata-modules-3.1.0-1-sh7785lcr-di - SATA drivers (udeb)
 sata-modules-3.1.0-1-sparc64-di - SATA drivers (udeb)
 sata-modules-3.1.0-1-versatile-di - SATA drivers (udeb)
 scsi-common-modules-3.1.0-1-486-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.1.0-1-686-pae-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.1.0-1-amd64-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.1.0-1-powerpc64-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.1.0-1-powerpc-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.1.0-1-sb1-bcm91250a-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.1.0-1-sparc64-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.1.0-1-versatile-di - Very common SCSI drivers (udeb)
 scsi-core-modules-3.1.0-1-486-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.1.0-1-686-pae-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.1.0-1-amd64-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.1.0-1-iop32x-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.1.0-1-itanium-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.1.0-1-kirkwood-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.1.0-1-mx5-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.1.0-1-orion5x-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.1.0-1-parisc64-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.1.0-1-parisc-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.1.0-1-powerpc64-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.1.0-1-powerpc-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.1.0-1-s390x-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.1.0-1-sb1-bcm91250a-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.1.0-1-sh7751r-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.1.0-1-sh7785lcr-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.1.0-1-sparc64-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.1.0-1-versatile-di - Core SCSI subsystem (udeb)
 scsi-extra-modules-3.1.0-1-486-di - Uncommon SCSI drivers (udeb)
 scsi-extra-modules-3.1.0-1-686-pae-di - Uncommon SCSI drivers (udeb)
 scsi-extra-modules-3.1.0-1-amd64-di - Uncommon SCSI drivers (udeb)
 scsi-extra-modules-3.1.0-1-powerpc64-di - Uncommon SCSI drivers (udeb)
 scsi-extra-modules-3.1.0-1-powerpc-di - Uncommon SCSI drivers (udeb)
 scsi-modules-3.1.0-1-486-di - SCSI drivers (udeb)
 scsi-modules-3.1.0-1-686-pae-di - SCSI drivers (udeb)
 scsi-modules-3.1.0-1-amd64-di - SCSI drivers (udeb)
 scsi-modules-3.1.0-1-amiga-di - SCSI drivers (udeb)
 scsi-modules-3.1.0-1-atari-di - SCSI drivers (udeb)
 scsi-modules-3.1.0-1-itanium-di - SCSI drivers (udeb)
 scsi-modules-3.1.0-1-mac-di - SCSI drivers (udeb)
 scsi-modules-3.1.0-1-parisc64-di - SCSI drivers (udeb)
 scsi-modules-3.1.0-1-parisc-di - SCSI drivers (udeb)
 scsi-modules-3.1.0-1-powerpc64-di - SCSI drivers (udeb)
 scsi-modules-3.1.0-1-powerpc-di - SCSI drivers (udeb)
 scsi-modules-3.1.0-1-s390x-di - SCSI drivers (udeb)
 scsi-modules-3.1.0-1-sb1-bcm91250a-di - SCSI drivers (udeb)
 scsi-modules-3.1.0-1-sparc64-di - SCSI drivers (udeb)
 serial-modules-3.1.0-1-486-di - Serial drivers (udeb)
 serial-modules-3.1.0-1-686-pae-di - Serial drivers (udeb)
 serial-modules-3.1.0-1-amd64-di - Serial drivers (udeb)
 serial-modules-3.1.0-1-itanium-di - Serial drivers (udeb)
 serial-modules-3.1.0-1-powerpc64-di - Serial drivers (udeb)
 serial-modules-3.1.0-1-powerpc-di - Serial drivers (udeb)
 sn-modules-3.1.0-1-itanium-di - SN modules (udeb)
 sound-modules-3.1.0-1-486-di - sound support (udeb)
 sound-modules-3.1.0-1-686-pae-di - sound support (udeb)
 sound-modules-3.1.0-1-amd64-di - sound support (udeb)
 sound-modules-3.1.0-1-sh7751r-di - sound support (udeb)
 sound-modules-3.1.0-1-sh7785lcr-di - sound support (udeb)
 speakup-modules-3.1.0-1-486-di - speakup modules (udeb)
 speakup-modules-3.1.0-1-686-pae-di - speakup modules (udeb)
 speakup-modules-3.1.0-1-amd64-di - speakup modules (udeb)
 speakup-modules-3.1.0-1-sh7751r-di - speakup modules (udeb)
 speakup-modules-3.1.0-1-sh7785lcr-di - speakup modules (udeb)
 squashfs-modules-3.1.0-1-486-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-4kc-malta-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-686-pae-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-amd64-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-amiga-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-atari-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-iop32x-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-itanium-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-kirkwood-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-loongson-2f-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-mac-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-mx5-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-orion5x-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-powerpc64-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-powerpc-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-r4k-ip22-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-r5k-cobalt-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-r5k-ip32-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-sb1-bcm91250a-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-sh7751r-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-sh7785lcr-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-sparc64-di - squashfs modules (udeb)
 squashfs-modules-3.1.0-1-versatile-di - squashfs modules (udeb)
 ufs-modules-3.1.0-1-486-di - UFS filesystem support (udeb)
 ufs-modules-3.1.0-1-686-pae-di - UFS filesystem support (udeb)
 ufs-modules-3.1.0-1-amd64-di - UFS filesystem support (udeb)
 ufs-modules-3.1.0-1-itanium-di - UFS filesystem support (udeb)
 ufs-modules-3.1.0-1-powerpc64-di - UFS filesystem support (udeb)
 ufs-modules-3.1.0-1-powerpc-di - UFS filesystem support (udeb)
 ufs-modules-3.1.0-1-sh7751r-di - UFS filesystem support (udeb)
 ufs-modules-3.1.0-1-sh7785lcr-di - UFS filesystem support (udeb)
 uinput-modules-3.1.0-1-486-di - uinput support (udeb)
 uinput-modules-3.1.0-1-686-pae-di - uinput support (udeb)
 uinput-modules-3.1.0-1-amd64-di - uinput support (udeb)
 uinput-modules-3.1.0-1-itanium-di - uinput support (udeb)
 uinput-modules-3.1.0-1-kirkwood-di - uinput support (udeb)
 uinput-modules-3.1.0-1-mx5-di - uinput support (udeb)
 uinput-modules-3.1.0-1-powerpc64-di - uinput support (udeb)
 uinput-modules-3.1.0-1-powerpc-di - uinput support (udeb)
 usb-modules-3.1.0-1-486-di - USB support (udeb)
 usb-modules-3.1.0-1-4kc-malta-di - USB support (udeb)
 usb-modules-3.1.0-1-686-pae-di - USB support (udeb)
 usb-modules-3.1.0-1-amd64-di - USB support (udeb)
 usb-modules-3.1.0-1-iop32x-di - USB support (udeb)
 usb-modules-3.1.0-1-itanium-di - USB support (udeb)
 usb-modules-3.1.0-1-kirkwood-di - USB support (udeb)
 usb-modules-3.1.0-1-loongson-2f-di - USB support (udeb)
 usb-modules-3.1.0-1-orion5x-di - USB support (udeb)
 usb-modules-3.1.0-1-parisc64-di - USB support (udeb)
 usb-modules-3.1.0-1-parisc-di - USB support (udeb)
 usb-modules-3.1.0-1-powerpc64-di - USB support (udeb)
 usb-modules-3.1.0-1-powerpc-di - USB support (udeb)
 usb-modules-3.1.0-1-sb1-bcm91250a-di - USB support (udeb)
 usb-modules-3.1.0-1-sparc64-di - USB support (udeb)
 usb-modules-3.1.0-1-versatile-di - USB support (udeb)
 usb-serial-modules-3.1.0-1-486-di - USB serial drivers (udeb)
 usb-serial-modules-3.1.0-1-686-pae-di - USB serial drivers (udeb)
 usb-serial-modules-3.1.0-1-amd64-di - USB serial drivers (udeb)
 usb-serial-modules-3.1.0-1-iop32x-di - USB serial drivers (udeb)
 usb-serial-modules-3.1.0-1-kirkwood-di - USB serial drivers (udeb)
 usb-serial-modules-3.1.0-1-orion5x-di - USB serial drivers (udeb)
 usb-serial-modules-3.1.0-1-powerpc64-di - USB serial drivers (udeb)
 usb-serial-modules-3.1.0-1-powerpc-di - USB serial drivers (udeb)
 usb-serial-modules-3.1.0-1-sh7751r-di - USB serial drivers (udeb)
 usb-serial-modules-3.1.0-1-sh7785lcr-di - USB serial drivers (udeb)
 usb-serial-modules-3.1.0-1-versatile-di - USB serial drivers (udeb)
 usb-storage-modules-3.1.0-1-486-di - USB storage support (udeb)
 usb-storage-modules-3.1.0-1-4kc-malta-di - USB storage support (udeb)
 usb-storage-modules-3.1.0-1-686-pae-di - USB storage support (udeb)
 usb-storage-modules-3.1.0-1-amd64-di - USB storage support (udeb)
 usb-storage-modules-3.1.0-1-iop32x-di - USB storage support (udeb)
 usb-storage-modules-3.1.0-1-itanium-di - USB storage support (udeb)
 usb-storage-modules-3.1.0-1-kirkwood-di - USB storage support (udeb)
 usb-storage-modules-3.1.0-1-loongson-2f-di - USB storage support (udeb)
 usb-storage-modules-3.1.0-1-mx5-di - USB storage support (udeb)
 usb-storage-modules-3.1.0-1-orion5x-di - USB storage support (udeb)
 usb-storage-modules-3.1.0-1-parisc64-di - USB storage support (udeb)
 usb-storage-modules-3.1.0-1-parisc-di - USB storage support (udeb)
 usb-storage-modules-3.1.0-1-powerpc64-di - USB storage support (udeb)
 usb-storage-modules-3.1.0-1-powerpc-di - USB storage support (udeb)
 usb-storage-modules-3.1.0-1-sb1-bcm91250a-di - USB storage support (udeb)
 usb-storage-modules-3.1.0-1-sh7751r-di - USB storage support (udeb)
 usb-storage-modules-3.1.0-1-sparc64-di - USB storage support (udeb)
 usb-storage-modules-3.1.0-1-versatile-di - USB storage support (udeb)
 virtio-modules-3.1.0-1-486-di - virtio modules (udeb)
 virtio-modules-3.1.0-1-686-pae-di - virtio modules (udeb)
 virtio-modules-3.1.0-1-amd64-di - virtio modules (udeb)
 virtio-modules-3.1.0-1-powerpc64-di - virtio modules (udeb)
 virtio-modules-3.1.0-1-powerpc-di - virtio modules (udeb)
 virtio-modules-3.1.0-1-s390x-di - virtio modules (udeb)
 xen-linux-system-3.1.0-1-686-pae - Xen system with Linux 3.1 on modern PCs (meta-package)
 xen-linux-system-3.1.0-1-amd64 - Xen system with Linux 3.1 on 64-bit PCs (meta-package)
 xfs-modules-3.1.0-1-486-di - XFS filesystem support (udeb)
 xfs-modules-3.1.0-1-4kc-malta-di - XFS filesystem support (udeb)
 xfs-modules-3.1.0-1-686-pae-di - XFS filesystem support (udeb)
 xfs-modules-3.1.0-1-amd64-di - XFS filesystem support (udeb)
 xfs-modules-3.1.0-1-itanium-di - XFS filesystem support (udeb)
 xfs-modules-3.1.0-1-loongson-2f-di - XFS filesystem support (udeb)
 xfs-modules-3.1.0-1-powerpc64-di - XFS filesystem support (udeb)
 xfs-modules-3.1.0-1-powerpc-di - XFS filesystem support (udeb)
 xfs-modules-3.1.0-1-r4k-ip22-di - XFS filesystem support (udeb)
 xfs-modules-3.1.0-1-r5k-cobalt-di - XFS filesystem support (udeb)
 xfs-modules-3.1.0-1-r5k-ip32-di - XFS filesystem support (udeb)
 xfs-modules-3.1.0-1-s390x-di - XFS filesystem support (udeb)
 xfs-modules-3.1.0-1-sb1-bcm91250a-di - XFS filesystem support (udeb)
 xfs-modules-3.1.0-1-sh7751r-di - XFS filesystem support (udeb)
 xfs-modules-3.1.0-1-sh7785lcr-di - XFS filesystem support (udeb)
 xfs-modules-3.1.0-1-sparc64-di - XFS filesystem support (udeb)
 zlib-modules-3.1.0-1-486-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-4kc-malta-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-686-pae-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-amd64-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-amiga-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-atari-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-iop32x-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-itanium-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-loongson-2f-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-mac-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-orion5x-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-parisc64-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-parisc-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-powerpc64-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-powerpc-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-r4k-ip22-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-r5k-cobalt-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-r5k-ip32-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-sb1-bcm91250a-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-sh7751r-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-sh7785lcr-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-sparc64-di - zlib modules (udeb)
 zlib-modules-3.1.0-1-versatile-di - zlib modules (udeb)
Changes: 
 linux-2.6 (3.1.8-2) unstable; urgency=high
 .
   * igmp: Avoid zero delay when receiving odd mixture of IGMP queries
     (Closes: #654876) (CVE-2012-0207)
Checksums-Sha1: 
 a860a8c20c4cb2f09d947e37e8e431d3909a2524 94900 linux-2.6_3.1.8-2.dsc
 36bf3e3af924eb16a41410807ac784c026079ae0 4942788 linux-2.6_3.1.8-2.diff.gz
 8c89d54b567077adbc9832372c96636f8c2e79ea 7055368 linux-doc-3.1_3.1.8-2_all.deb
 6095fd409b96a87a0a7c1f48236392886c9ce91e 3160452 linux-manual-3.1_3.1.8-2_all.deb
 dd3c1fe692596c04e318bb9787f554280d39b28a 378498 linux-patch-debian-3.1_3.1.8-2_all.deb
 4e0bf7cb25b9b2aeb808da8934e40257d8b2e9f4 75979062 linux-source-3.1_3.1.8-2_all.deb
 0009f930e277b2c937da39c74d9be0825ba8a76e 182112 linux-support-3.1.0-1_3.1.8-2_all.deb
Checksums-Sha256: 
 750fb1c3ecb8a6720536714f2729bc33424e9c917a84b41a116c4e3b34c70613 94900 linux-2.6_3.1.8-2.dsc
 6489ce65a91fe9c1455cb14ac9415f77241d908f233bd35606a6243df4a82902 4942788 linux-2.6_3.1.8-2.diff.gz
 e2a5576d118fa4695c60e2ceda2b5ef8737a28af4a75df2786b81312fc305e80 7055368 linux-doc-3.1_3.1.8-2_all.deb
 d17dcd312272578c82bbd281558bd216eef4fc1f20c37320e6d854bc86a09058 3160452 linux-manual-3.1_3.1.8-2_all.deb
 c5827331a00fd0d894fc9513c5efdfddd7ff4652dbcf8f68869cc95ef41d2e71 378498 linux-patch-debian-3.1_3.1.8-2_all.deb
 dfcf83b8dfa0b2aaec1b55aa1dd81b8be3e51e76dc117c648f2624fe1b307de5 75979062 linux-source-3.1_3.1.8-2_all.deb
 e3fc6d8b2ed9fadb9f0b4eb9bbfdc0d0970da15f44e6cdeb82e692a79b261265 182112 linux-support-3.1.0-1_3.1.8-2_all.deb
Files: 
 25479f9bd1590e9774107e1dd2ecc52a 94900 kernel optional linux-2.6_3.1.8-2.dsc
 bb6fcc0bac2d64afbd12b5451a35a6cc 4942788 kernel optional linux-2.6_3.1.8-2.diff.gz
 d58e384d5b2bfaf131451c47450318c9 7055368 doc optional linux-doc-3.1_3.1.8-2_all.deb
 c3b7a1f21238767168cd4ca364cf9aab 3160452 doc optional linux-manual-3.1_3.1.8-2_all.deb
 a6886be8e3661aefaf64f1cbef483207 378498 kernel optional linux-patch-debian-3.1_3.1.8-2_all.deb
 2a5a425865769b2813402c3793c2acfc 75979062 kernel optional linux-source-3.1_3.1.8-2_all.deb
 0363598867f1300fb938ac9e5870a2a3 182112 devel optional linux-support-3.1.0-1_3.1.8-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIVAwUBTwur/Oe/yOyVhhEJAQp78g//eFFadUmuXpE7MIgW9yPWGmgJ1Kw2kdUu
E3YsHBMZto3Pf/I8XXeFD6OBkefaZ1a1iRxvelZqMU3uZ3zJMcfiPq59Uv1qkDYh
RZBwXxCPVVZbed7v2NMBBxIFNPk+nI8opIvGr2gH45tb4rAInE68hF2XwU0fCn5H
Z3keyJtHoYXp4Lc9R/kF+qV+m/CEdAovnTWvpU3gop3lVwq6Y3IgNJCQyC3KrcbZ
H/BW0EqcjZq5zsEo0+4UcXFKXYWEv09MCQGXdD92kHUX8sekMS9ng7kbJwnziRlr
h8m1JFwgAwtKyTQs+CZL9oOIAM1BMXgNIvsX/vST1bbwHjsp1N/zFyHACJEDECjs
glu/tvala96I6PgLgJg0VelnQePUkufE3IP+zVvrLnrl4gz6e3b8R0+Z13re2J1r
7q8JP+zJmy/iYwa/QYAiGlJg6wV6u13Z8PHM2gJT3/pa2rIX4F4E8TTpifZ5YYFa
hxqUhQa2QHIwaPsCu3RZgppR9Fjzli4lNQG2sl2e8UykpZps7zHt+/jDD5I3XKCL
EveO0ukk7iGfnT8oTlraXgeE2YFEik+NCEoGC02bP+WPhqQdUV3hqmTL2/+HTZoi
kau+Vv9I7fX7og6UXOo4dNQN/6aswOWX6tKye+dtbz5i+/eeuOo/RbE8zn4sSc67
de/O4/A11YY=
=pBDM
-----END PGP SIGNATURE-----





Changed Bug title to 'CVE-2012-0207: divide error and panic when receiving' from '"divide error" while receiving from iwlagn 5300, leading to kernel panic' Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Tue, 10 Jan 2012 10:00:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'CVE-2012-0207: divide error and panic when receiving mixed IGMP queries' from 'CVE-2012-0207: divide error and panic when receiving' Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Tue, 10 Jan 2012 11:14:59 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Sun, 15 Jan 2012 14:54:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 08 Jul 2012 07:59:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 11:32:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.